var file={
		/**
		 * {
		 * url:'/文件上传路径'
		 * id:'type="file"的id',
		 * progress（e）://进度方法，
		 * load(后台返回结果,要上传的图片)://文件上传成功回调返回; 
		 * error(e)：//错误回调用方法
		 * abort(e)：//由用户上传已经被取消或者浏览器删除连接。
		 *  preview(回调对象,要上传的图片)://预览
		 *  例子：function preview（e,img）{使用预览方法一定要调用e.send();才能上传图片
		 *			e.send();
		 *  },
		 *	accept;上传文件类型accept="image/*"
		 *  }
		 */
		upload:function(p){
			/**
			 * 添加click事件
             */
			document.getElementById(p.id).addEventListener("click",function(e){
				var img;
				var createFile=document.createElement("input");
				createFile.type="file";//设置类型为file
				createFile.id=p.id+"file";
				   //创建input
				/**
				 * 设置input类型为file
                 * @type {string}
                 */
				if(p.accept!==null){
					createFile.accept=p.accept;
				}
				/**
				 * 定义点击事件
                 */
				createFile.click();
				/**
				 * 添加change事件
                 */
				createFile.addEventListener('change',function(e){
					//判断是否预览
					if(p.preview==null){
						load(false);
					}else{
						load(true);
					}
					/**
					 *
                     * @param isPreview 是否预览在提交
                     */
					function load(isPreview){
						var files=createFile.files[0];
						var reader = new FileReader();
						reader.onload = function(e) {
							img=this.result;
							if(isPreview){
								file.json.preview.call(this,Request);
							}else{
								Request.send();
							}
						}
						reader.readAsDataURL(files);
					}
				},false);
				/**
				 *
                 */
				Request={
					/**
					 * 上传文件方法
					 */
					send:function(){
						/**
						 * 获取图片对象
						 * @type {*}
						 */
						var files=createFile.files[0];
						/**
						 * 创建XMLHttpRequest
						 * @type {XMLHttpRequest}
						 */
						var xhr = new XMLHttpRequest();

						xhr.open("post",p.url+"&name="+files.name, true);
						/**
						 * progress（e）://进度方法，
						 */
						xhr.upload.addEventListener("progress",p.progress, false);
						/**
						 * load(后台返回结果,要上传的图片)://文件上传成功回调返回;
						 */
						xhr.addEventListener("load",function(evt){
							p.load.call(this,evt.target.responseText,img);
						},false);
						/**
						 * error(e)：//错误回调用方法
						 */
						xhr.addEventListener("error",p.error,false);
						/**
						 * abort(e)：//由用户上传已经被取消或者浏览器删除连接。
						 */
						xhr.addEventListener("abort",p.abort, false);
						// 表单数据
						var fd = new FormData();
						fd.append("file",files);
						// 执行发送
						xhr.send(fd);
					}
				}
			}, false);
		}
}