/**
 * Created by chao on 2016/7/27.
 */
bui.ready(function (argument) {
   bui.btn({ id:"#bui-page", handle:".bui-btn" }).load();
    var uiScroll = bui.scroll({
        id: "#scroll",
        children: ".bui-list li",
        page: 0,
        pageSize: 5,
        onRefresh: refreshDate,
        onLoad: getData
    });

    function refreshDate() {
        var page = 0;
        var pagesize = 5;
        getData(page, pagesize, "html");
    }

    function getData(start, pagesize, command) {
        var command = command || "append";
        bui.getPageParams(function (res) {
            bui.ajax({
                url: path() + "/busAppCouponController/couponConvertDetailList.do?couponId=" + res.couponId,
                method:"POST",
                data: {
                    page: start,
                    pagesize: pagesize
                }
            }).done(function (data) {
                var html = "";
                if (data.length > 0) {
                    var dataLength = data.length;
                    for (var i = 0; i<dataLength; i++) {
                        var value = data[i];
                        var buyTime = new Date(value.buyTime).formatDate("yyyy-MM-dd hh:mm");
                        html += '<li class="bui-btn list-li">';
                        html += '<h3><span>' + value.couponName+'</span>';
                        if(value.buyAmount==0&&value.carbonNo!=0){
                            html+='<em class="bui-right">' + value.carbonNo + '碳币</em></h3>';
                        }else if(value.buyAmount>=0&&value.carbonNo==0){
                            html+='<em class="bui-right">￥' + value.buyAmount + '</em></h3>';
                        }else{
                            html+='<em class="bui-right">'+value.carbonNo+'碳币+￥'+value.buyAmount+'</em></h3>';
                        }
                        html += '<div class="bui-btn bui-box"> <div class="span1">';
                        html += '<div class="list-fluid"> <div class="span4"> ';
                        html += '<p>购买用户</p>';
                        if(value.buyUser==null||value.buyUser==undefined||value.buyUser==""){
                            html+= '<span>匿名</span></div>';
                        }else{
                            html+= '<span>' + value.buyUser + '</span></div>';
                        }
                        html += '<div class="span6"><p>购买时间</p><span>' + buyTime + '</span></div>';
                        html += '<div class="span2"> <p>是否兑换</p>';
                        if (value.isConvert == 'Y') {
                            html += '<span>是</span>';
                        }
                        else {
                            html += '<span>否</span>';
                        }
                        html += '</div> </div> </div> </div> </li>'
                    }
                }
                $("#scrollList")[command](html);
                uiScroll.updateCache(start,data);
                uiScroll.reverse();
            }).fail(function (data) {
                uiScroll.fail(start, pagesize, data);
            })
        })
    }
});