/**
 * Created by chao on 2016/7/27.
 */
bui.ready(function (argument) {
    bui.btn({ id:"#bui-page", handle:".bui-btn" }).load();
    var uiScroll = bui.scroll({
        id: "#scroll",
        children: ".bui-list li",
        page: 0,
        pageSize: 5,
        onRefresh: refreshDate,
        onLoad: getData
    });

    function refreshDate() {
        var page = 0;
        var pagesize = 5;
        getData(page, pagesize, "html");
    }

    function getData(start, pagesize, command) {
        var command = command || "append";
        bui.getPageParams(function (res) {
            bui.ajax({
                url: path() + "/busAppCouponController/couponConsumeDetailList.do?couponId=" + res.couponId,
                method:"POST",
                data: {
                    page:start,
                    pagesize:pagesize
                }
            }).done(function (rel) {
                var html = "";
                if (rel.length > 0) {
                    var dataLength = rel.length;
                    for (var i = 0; i<dataLength; i++) {
                        var value = rel[i];
                        var convertTime =new Date(value.convertTime ).formatDate("yyyy-MM-dd hh:mm");
                        html += '<li class="bui-btn list-li"><div class="bui-box sale-title">';
                        html += '<div class="span1">' + value.couponName + '</div></div>';
                        html += '<div class="bui-btn second-list">';
                        html += '<div class="coupon-code">优惠券编码:<em>' + value.couponCode + '</em></div>';
                        html += '<div class="list-fluid"> <div class="span3"> <p>兑换价</p>';
                        if(value.carbonNo!=0&&value.buyAmount==0){
                            html += '<span class="price">' + value.carbonNo + '碳币</span> </div>';
                        }else if(value.carbonNo==0&&value.buyAmount>=0){
                            html += '<span class="price">￥' + value.buyAmount + '</span> </div>';
                        }else{
                            html += '<span class="price">' +value.carbonNo+'碳币+￥'+ value.buyAmount + '</span> </div>';
                        }
                        html += '<div class="span3"> <p>消费用户</p>';
                        if(value.buyUser==null||value.buyUser==undefined||value.buyUser==""){
                            html+='<span class="up">匿名</span> </div>';
                        }else{
                            html+='<span class="up">' + value.buyUser + '</span> </div>';
                        }
                        html += '<div class="span6"> <p>消费时间</p><span class="up">' + convertTime + '</span> </div> </div> </div> </li>';
                    }
                }
                $("#scrollList")[command](html);
                uiScroll.updateCache(start,rel);
                uiScroll.reverse();
            }).fail(function (rel) {
                bui.alert(rel.message);
                uiScroll.fail(start, pagesize, rel);
            })
        })
    }
});