/**
 * Created by chao on 2016/7/28.
 */
var dialog;
bui.ready(function (argument) {
    bui.btn({id:"#page",handle:".bui-btn"}).load();

     dialog=bui.dialog({
        id:"couponDialog"
    });

    bui.getPageParams(function (res) {
        uiList = bui.list({
            id: "#scroll",
            url: path() + "/busAppCouponController/couponList.do",
            method: "POST",
            field: {
                page: "page",
                size: "pagesize"
            },
            page: 0,
            pagesize: 5,
            template: template
        });
        function template(data) {
            var html = "";

            $(data).each(function (index, el) {
            	var begin = new Date(el.beginDate).formatDate("yyyy-MM-dd");
            	var end = new Date(el.endDate).formatDate("yyyy-MM-dd");
                if (el.couponMold == "dai") {
                    html += '<li class="bui-btn coupon-type1 coupon-type" onclick=\'openDialog("'+el.timeOut+'","'+el.couponId+'","'+el.couponStatus+'")\'><div class="bui-box box-first">';
                } else if (el.couponMold == "ti") {
                    html += '<li class="bui-btn coupon-type2 coupon-type" onclick=\'openDialog("'+el.timeOut+'","'+el.couponId+'","'+el.couponStatus+'")\'> <div class="bui-box box-first">';
                } else if (el.couponMold == "dui") {
                    html += '<li class="bui-btn coupon-type3 coupon-type" onclick=\'openDialog("'+el.timeOut+'","'+el.couponId+'","'+el.couponStatus+'")\'> <div class="bui-box box-first">';
                }else{
                    html += '<li class="bui-btn coupon-type3 coupon-type" onclick=\'openDialog("'+el.timeOut+'","'+el.couponId+'","'+el.couponStatus+'")\'> <div class="bui-box box-first">';
                }
                html += '<div class="span1 box-left"> <p class="price"><span>￥<em>' + el.couponValue + '</em></span>' + el.useRule + '</p>';
                html += '<p class="name">' + el.couponName + '</p>';
                if (el.couponamount == 0 && el.couponCarbon != 0) {
                    html += '<p class="price-number"><em>' + el.couponCarbon + '</em>碳币兑换</p> </div>';
                } else if (el.couponamount >= 0 && el.couponCarbon == 0) {
                    html += '<p class="price-number"><em>￥' + el.couponamount + '</em></p> </div>';
                } else {
                    html += '<p class="price-number"><em>' + el.couponCarbon + '</em>碳币+<em>￥' + el.couponamount + '</em></p> </div>';
                }
                html += '<div class="box-right"><div class="box-ticket"><span>已兑换:</span><strong>' + el.hasConvert + '</strong></div>';
                html += '<div class="box-ticket"><span>剩余可兑换:</span><strong>' + el.surplusConvert + '</strong></div>';
                if(el.limitBuy == '-1'){
                	 html += '<div class="ticket-tip">每个ID不限购</div> </div></div>';
                }else {
                	 html += '<div class="ticket-tip">每个ID限购<em>' + el.limitBuy + '</em>张</div> </div></div>';
                }
                html += '<div class="bui-btn bui-box tip-time">';
                html += '<div class="span1">' + begin + '至' + end + '有效</div>';
                if (el.couponStatus == "audit") {
                    html += '<div class="bui-right">状态:<span>已审核</span></div></div>';
                } else if (el.couponStatus == "procee") {
                    html += '<div class="bui-right">状态:<span>处理中</span></div></div>';
                } else if (el.couponStatus == "pass") {
                    html += '<div class="bui-right">状态:<span>已发布</span></div></div>';
                } else if (el.couponStatus == "no_pass") {
                    html += '<div class="bui-right">状态:<span>退回修改</span></div></div>';
                } else if (el.couponStatus == "cancel") {
                    html += '<div class="bui-right">状态:<span>取消</span></div></div>';
                } else if (el.couponStatus == "delete") {
                    html += '<div class="bui-right">状态:<span>删除</span></div></div>';
                }
                if (el.couponMold == "dai") {
                    html += '<div class="coupon-sign"> <span class="sign">代金券</span> </div>';
                } else if (el.couponMold == "ti") {
                    html += '<div class="coupon-sign"> <span class="sign">提货券</span> </div>';
                } else if (el.couponMold == "dui") {
                    html += '<div class="coupon-sign"> <span class="sign">兑换券</span> </div>';
                }
                if (el.saleEmpty == '0') {
                    html += '<div class="coupon-status"> <img src="../statics/images/icon-saleOut.png"/> </div> </li>';
                } else if(el.timeOut=='Y'){
                    html += '<div class="coupon-status"> <img src="../statics/images/icon-timeOut.png"/> </div> </li>';
                }else{
                    html+='</li>';
                }

            });
            return html;
        }

    });

});
function openDialog(t,id,status){
    if(t=="Y"){
        bui.alert("优惠券已过期，请重新添加优惠券")
    }else{
        if(status=="procee"){
        	bui.alert("优惠券正在审批中");
        }else if(status=="pass"){
        	 bui.confirm("是否撤销发布?",function(){
        	 	if($(this).text() == '确定'){
        	 		bui.ajax({
			        url:path()+"/busAppCouponController/updateCouponSgtatus.do",
			        method:"POST",
			        data:{
			            "couponId":id,
			            "couponStatus":"audit"
			        }
				    }).done(function(res){
				        bui.load({
				             url:"coupon.html"
				       });
				    })
        	 	}
        	 })
        }else if(status=="audit"){
        	 bui.confirm("是否确认进行发布?",function(){
        	 	if($(this).text() == '确定'){
        	 		bui.ajax({
			        url:path()+"/busAppCouponController/updateCouponSgtatus.do",
			        method:"POST",
			        data:{
			            "couponId":id,
			            "couponStatus":"pass"
				        }
				    }).done(function(res){
				        bui.load({
				             url:"coupon.html"
				       });
				    })
        	 	}
        	 })
        }else if(status=="draft" || status == "no_pass"){
        	 bui.confirm("是否要修改优惠券?",function(){
        	 	if($(this).text() == '确定'){
        	 		bui.load({
			          url:"couponChange.html",
			          param:{"couponId":id}
			     	});
        	 	}
        	 })
        }
    }
}
