/**
 * Created by chao on 2016/7/28.
 */
bui.ready(function (argument) {
    bui.btn({id: "#page", handle: ".bui-btn"}).load();
    bui.btn("#couponAdd-submit").submit(function (loading) {
        checkNull(loading)
    });

    var endDate = $("#endDate");
    var uiEndDate = bui.pickerdate({
        handle: "#endDate",
        value: '2016/8/1',
        min: '2016/8/1',
        max: '2020/4/5',
        onChange: function (value) {
            endDate.val(value);
        },
        cols:({
            hour:'none',
            minute:'none',
            second:'none'
        })
    });
    endDate.val("");//不显示初始化时间
    var overDate = $("#overDate");
    var uiOverDate = bui.pickerdate({
        handle: "#overDate",
        value: '2016/8/1',
        min: '2016/8/1',
        max: '2020/4/5',
        onChange: function (value) {
            overDate.val(value);
        },
        cols:({
            hour:'none',
            minute:'none',
            second:'none'
        })
    });
    overDate.val("");//不显示初始化时间
    var uiSelectType = bui.select({
        trigger: "#selectType",
        type: "radio",
        autoClose: true,
        data: [{
            "name": "代金券",
            "value": "dai"
        }, {
            "name": "提货券",
            "value": "ti"
        }, {
            "name": "兑换券",
            "value": "dui"
        }],
        onChange: function () {
            $("#couponType").val(uiSelectType.value());
        }
    });

    var uiSelectBoolean = bui.select({
        trigger: "#selectBoolean",
        title: "请选择",
        type: "radio",
        autoClose: true,
        data: [{
            "name": "是",
            "value": "Y"
        }, {
            "name": "否",
            "value": "N"
        }],
        onChange: function () {
            $("#isActivity").val(uiSelectBoolean.value());
        }
    });

    /***清除空格**/
    $("input[type='text']").on("change", function () {
        $(this).val($(this).val().replace(/\s+/g, ''))
    });
    /**判断非空**/
    function checkNull(loading) {
        var couponName = $("#couponName").val(),
            couponType = $("#couponType").val(),
            couponValue = $("#couponValue").val(),
            couponAmount = $("#couponAmount").val(),
            couponCarbon = $("#couponCarbon").val(),
            couponSum = $("#couponSum").val(),
            limitBuy = $("#limitBuy").val(),
            useRule = $("#useRule").val(),
            couponDesc = $("#couponDesc").val(),
            couponDetail = $("#couponDetail").val(),
            isActivity = $("#isActivity").val(),
            endDate=$("#endDate").val(),
            overDate=$("#overDate").val();
        var re = /\d+/g, re1 = /\d+/g;
        var arr = ["优惠券名称不能为空", "优惠券类型不能为空", "优惠券价值不能为空", "优惠券价格不能为空", "优惠券碳币价格不能为空", "优惠券总数不能为空", "优惠券限制数量不能为空", "优惠券使用限制不能为空", "优惠券信息描述不能为空", "优惠券优惠详情不能为空", "是否活动专用不能为空"];

        if (couponName == "" || couponName == null) {
            bui.hint({content: arr[0], position: "top", close: true});
            loading.stop();
            return false;
        }
        if (couponType == "" || couponType == null) {
            bui.hint({content: arr[1], position: "top", close: true});
            loading.stop();
            return false;
        }

        if (couponValue == "" || couponValue == null) {
            bui.hint({content: arr[2], position: "top", close: true});
            loading.stop();
            return false;
        }
        if (couponAmount == "" || couponAmount == null) {
            bui.hint({content: arr[3], position: "top", close: true});
            loading.stop();
            return false;
        }
        if (couponCarbon == "" || couponCarbon == null) {
            bui.hint({content: arr[4], position: "top", close: true});
            loading.stop();
            return false;
        }
        if (couponSum == "" || couponSum == null) {
            bui.hint({content: arr[5], position: "top", close: true});
            loading.stop();
            return false;
        } else if (!re1.test(couponSum)) {
            bui.hint({content: "输入的总数格式不对", position: "top", close: true});
            loading.stop();
            return false;
        }
        if (limitBuy == "" || limitBuy == null) {
            bui.hint({content: arr[6], position: "top", close: true});
            loading.stop();
            return false;
        }
        else if (!re.test(limitBuy)) {
            bui.hint({content: "输入的限制人数格式不对", position: "top", close: true});
            loading.stop();
            return false;
        }
        if (useRule == "" || useRule == null) {
            bui.hint({content: arr[7], position: "top", close: true});
            loading.stop();
            return false;
        }

        if (couponDesc == "" || couponDesc == null) {
            bui.hint({content: arr[8], position: "top", close: true});
            loading.stop();
            return false;
        }

        if (couponDetail == "" || couponDetail == null) {
            bui.hint({content: arr[9], position: "top", close: true});
            loading.stop();
            return false;
        }

        if (isActivity == "" || isActivity == null) {
            bui.hint({content: arr[10], position: "top", close: true});
            loading.stop();
            return false;
        }
        bui.alert("确认提交审批吗?",function(){
			 bui.ajax({
	            url:path()+"/busAppCouponController/addCoupon.do",
	            method:"POST",
	            data:{
	                "couponName":couponName,
	                "couponType":couponType,
	                "couponValue":couponValue,
	                "couponAmout":couponAmount,
	                "couponSum":couponSum,
	                "couponCarbon":couponCarbon,
	                "limitBuy":limitBuy,
	                "endDate":endDate,
	                "overDate":overDate,
	                "useRule":useRule,
	                "couponDesc":couponDesc,
	                "couponDetail":couponDetail,
	                "isActivity":isActivity
	            }
	        }).done(function(res){
	        	if(res.success){
	        		 bui.load({
	                	url:"coupon.html"
	            	})
	        	}else{
	        		 loading.stop();
	        		 bui.hint({content :res.message,position: "top",close:true});
	        	}
	        }).fail(function(res){
	        })        	
        });

    }

});