/**
 * Created by chao on 2016/8/8.
 */
bui.ready(function (argument) {
    bui.btn({id: "#page", handle: ".bui-btn"}).load();
    bui.btn("#resetPassword-submit").submit(function(loading){
        registerAccount(loading)
    });
    $("input").on("change",function(){
        $(this).val($(this).val().replace(/\s+/g,''));
    })
});
function registerAccount(loading) {
    var mobilePhone = $("#mobile-phone").val(),
        mobileCode = $("#mobile-code").val();

    var re = /^[\da-zA-Z]+$/gi;//验证是否为字母和数字
    var reg = /^1[3|4|5|7|8][0-9]{9}$/;
    if(mobilePhone==null||mobilePhone==""){
        bui.hint({content :"请输入手机号码",position: "top",close:true});
        loading.stop();
        return false;
    }else if(mobilePhone.length!=11){
        bui.hint({content :"手机号码长度不对",position: "top",close:true});
        loading.stop();
        return false;
    } else if(!reg.test(mobilePhone)){
        bui.hint({content :"手机号码格式错误",position: "top",close:true});
        loading.stop();
        return false;
    }
    if(mobileCode==null||mobileCode==""){
        bui.hint({content :"验证码不能为空",position: "top",close:true});
        loading.stop();
        return false;
    }
    bui.ajax({
        url:path()+"/busAppUserController/updatePwd.do",
        method:"POST",
        data:{
            "mobile":mobilePhone,
            "code":mobileCode
        }
    }).done(function(res){
        if(res.success){
           bui.hint({content :res.message,position: "top",close:true});
           bui.load({
             url:"../index.html"
           });
        }else{
            bui.hint({content :res.message,position: "top",close:true});
        }
        loading.stop();
    })
}
//获取验证码
var flag = false;
function getCheckPwd(){
    if(!flag){
        var mobilePhone = $("#mobile-phone").val();
        var reg = /^1[3|4|5|7|8][0-9]{9}$/;
        if(mobilePhone==null||mobilePhone==""){
            bui.hint({content :"请输入手机号码",position: "top",close:true});
            return;
        }else if(mobilePhone.length!=11){
            bui.hint({content :"手机号码长度不对",position: "top",close:true});
            return;
        } else if(!reg.test(mobilePhone)){
            bui.hint({content :"手机号码格式错误",position: "top",close:true});
            return;
        }

        bui.ajax({
            url : path()+"/busAppUserController/getPwdvalidateCode.do",
            method:"POST",
            data : {"mobile":mobilePhone}
        }).done(function(res){
            bui.hint({content :res,position: "top",close:true});
            disabledBtn();
        }).fail(function(res){
            console.log(res);
            bui.hint({content :"网络异常",position: "top",close:true});

        });
    }
}
var Int;
function disabledBtn(){
    flag = true;
    Int = window.setInterval(setBtnValue, 1000);
}
var count = 60;
function setBtnValue(){
    if(count <= 0){
        $("#obtain-code").text("获取验证码");
        count = 60;
        flag = false;
        window.clearInterval(Int);
    }else{
        flag = true;
        count--;
        $("#obtain-code").text(count);
    }
}