/**
 * Created by chao on 2016/7/28.
 */
bui.ready(function (argument) {

    bui.btn("#register-btn").submit(function (loading) {
        registerAccount(loading);
    });
    $("input").on("change",function(){
        $(this).val($(this).val().replace(/\s+/g,''));
    })

});
function registerAccount(loading) {
    var registerAccount = $("#register-account").val(),
        registerPassword = $("#register-password").val(),
        surePassword = $("#sure-password").val(),
        registerCode = $("#register-code").val(),
        mobilePhone = $("#register-tel").val();


    var re = /^[\da-zA-Z]+$/gi;//验证是否为字母和数字
    var rePw=/[a-zA-Z0-9]+/gi;
    //账号验证
    if (registerAccount == "" || registerAccount == null) {
        bui.hint({ content: "账号不能为空", position: "top", close: true});
        loading.stop();
        return false;
    }else if (!re.test(registerAccount)) {
        bui.hint({content: "账号不符合要求", position: "top", close: true});
        loading.stop();
        return false;
    }else if (registerAccount.length < 5 || registerAccount.length > 20) {
        bui.hint({content: "账号长度不符合要求", position: "top", close: true});
        loading.stop();
        return false;
    }
    //密码验证
    if(registerPassword==null||registerPassword==""){
        bui.hint({content: "密码不能为空", position: "top", close: true});
        loading.stop();
        return false;
    }else if(registerPassword.length<6||registerPassword.length>16){
        bui.hint({content: "密码长度不对", position: "top", close: true});
        loading.stop();
        return false;
    }else if(!rePw.test(registerPassword)){
        bui.hint({content: "密码格式不对", position: "top", close: true});
        loading.stop();
        return false;
    }
    if(registerPassword!=surePassword){
        bui.hint({ content: "两次输入的密码不一致", position: "top", close: true});
        loading.stop();
        return false;
    }
    if(registerCode==null||registerCode=="" ){
        bui.hint({ content: "验证码不能为空", position: "top", close: true});
        loading.stop();
        return false;
    }
    bui.ajax({
        url : path()+"/busAppUserController/regUser.do",
        method:"POST",
        data :{"loginId":registerAccount,"mobilePhone":mobilePhone,"password":registerPassword,"code":registerCode}
    }).done(function(res){
        if(res.success){
            bui.load({
                url:"merchantCertifiProcess.html"
            });
        }else{
            loading.stop();
            bui.hint({content :res.message,position: "top",close:true});
        }
    }).fail(function(res){
        loading.stop();
        bui.hint({content :"暂时无法连接服务器，请稍后注册",position: "top",close:true});
    })
}
//获取验证码
var flag = false;
function getCheckPwd(){
    if(!flag){
        var mobilePhone = $("#register-tel").val();
            var reg = /^1[3|4|5|7|8][0-9]{9}$/;
        if(mobilePhone==null||mobilePhone==""){
            bui.hint({content :"请输入手机号码",position: "top",close:true});
            return;
        }else if(mobilePhone.length!=11){
            bui.hint({content :"手机号码长度不对",position: "top",close:true});
            return;
        } else if(!reg.test(mobilePhone)){
            bui.hint({content :"手机号码格式错误",position: "top",close:true});
            return;
        }

        bui.ajax({
            url :  path()+"/busAppUserController/validateCode.do",
            method:"POST",
            data : {"mobile":mobilePhone}
        }).done(function(res){
            bui.hint({content :res,position: "top",close:true});
            disabledBtn();
        }).fail(function(res){
            console.log(res);
            bui.hint({content :"网络异常",position: "top",close:true});

        });
    }
}
var Int;
function disabledBtn(){
    flag = true;
    Int = window.setInterval(setBtnValue, 1000);
}
var count = 60;
function setBtnValue(){
    if(count <= 0){
        $("#obtain-code").text("获取验证码");
        count = 60;
        flag = false;
        window.clearInterval(Int);
    }else{
        flag = true;
        count--;
        $("#obtain-code").text(count);
    }
}